<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <ui:composition template="/templates/generalTemplate.xhtml">
        <ui:define name="body">
            <h:form id="cambiarFotoForm" enctype="multipart/form-data">
                <h:panelGrid columns="2" style="margin-top:10px">
                    
                    <p:commandLink id="fotoLink" onclick="PF('fotoDialog').show();">
                        <p:graphicImage id="foto" value="/faces/Usuarios/foto/#{usuariosController.selected.usrId}"
                                        style="height: 120px;"/>
                    </p:commandLink>

                    <p:dialog header="Toma una foto" widgetVar="fotoDialog">
                        <p:growl id="messages" showDetail="true" />

                        <p:fileUpload fileUploadListener="#{usuariosController.handleFileUploadFoto}" mode="advanced" dragDropSupport="false" required="true" 
                                      requiredMessage="Seleccione archivo" label="Subir Archivo"
                                      oncomplete= "PF('fotoDialog').hide();" 
                                     
                                      update="messages" sizeLimit="100000" allowTypes="/(\.|\/)(gif|jpe?g|png)$/" >

                            <h1>Seleccione un archivo</h1>
                        </p:fileUpload>
                        <p:growl id="messages" showDetail="true" />  
                        <!--<p:photoCam widgetVar="pc" listener="# {photoCamBean.oncapture}" update="growlfoto" />-->
                        <!--                <p:commandButton type="button" value="Tomar foto" onclick="pc.capture()" update="growlfoto">
                                            <p:ajax oncomplete="fotoDialog.hide();"  update="growlfoto"/>
                                        </p:commandButton>-->
                    </p:dialog> 

                </h:panelGrid> 
                <h:panelGrid columns="4" > 

                    <p:commandButton id="cambiarFoto" onclick="PF('fotoDialog').show();" value="Cambiar Foto" icon="ui-icon-disk"/>
                </h:panelGrid>
            </h:form>

        </ui:define>
    </ui:composition>
</html>